{"openapi":"3.0.2","info":{"title":"1plusX Asset Data Collection API","description":"This API provides the capability to ingest asset data.","version":"2.0.0"},"servers":[{"url":"https://{account}.assets.tagger.opecloud.com/{version}/native","description":"Production system","variables":{"account":{"default":"demo2","description":"Your account identifier"},"version":{"default":"v0","description":"Version of the API"}}}],"paths":{"/asset/{assetId}":{"parameters":[{"$ref":"#/components/parameters/assetId"}],"put":{"requestBody":{"$ref":"#/components/requestBodies/putAsset"},"tags":["Asset Management"],"summary":"Update or insert an asset","description":"NOTE: the POST version of this endpoint should be used in production code. GET requests may fail due to request length limitations when using large `filter` and `select` expressions.","responses":{"200":{"$ref":"#/components/responses/QueryResult"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/NotAuthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"500":{"$ref":"#/components/responses/InternalServerError"}}},"delete":{"tags":["Asset Management"],"summary":"Delete an asset","description":"Delete an asset","responses":{"204":{"description":"Asset deleted."},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/NotAuthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}},"components":{"schemas":{"Asset":{"type":"object","properties":{"ope_title":{"type":"string"},"ope_content":{"type":"string"},"your_tag_field":{"type":"array","items":{"type":"string"}},"another_tag_field":{"type":"array","items":{"type":"string"}}}}},"parameters":{"assetId":{"name":"assetId","in":"path","required":true,"schema":{"type":"string"}}},"responses":{"NotAuthorized":{"$ref":"api.components_common.yaml#/components/responses/NotAuthorized"},"Forbidden":{"$ref":"api.components_common.yaml#/components/responses/Forbidden"},"BadRequest":{"$ref":"api.components_common.yaml#/components/responses/BadRequest"},"InternalServerError":{"$ref":"api.components_common.yaml#/components/responses/InternalServerError"}},"requestBodies":{"putAsset":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Asset"}]}}}}}}}